Name:		ceelog
Version:	0.2
Release:	3%{?dist}
Summary:	Tool for receiving, filtering and searching CEE/Lumberjack logs

License:	GPLv2
URL:		https://fedorahosted.org/ceelog
Source0:	https://fedorahosted.org/releases/c/e/ceelog/%{name}-%{version}.tar.xz

BuildRequires:	glib2-devel
BuildRequires:	pcre-devel
BuildRequires:	json-c-devel
BuildRequires:	expect
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
The ceelog project provides libceelog, a library for receiving, filtering
and searching a stream or log of CEE/Lumberjack syslog records, and
an associated command-line tool, named ceelog.

%package devel
Summary:	Development files for ceelog
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Ceelog-devel package contains development libraries and header files for ceelog.

%package libs
Summary:	Libraries for ceelog

%description libs
Ceelog-libs package contains libraries for ceelog.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}%{_libdir}/*.{a,la}

%check
make check

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_bindir}/ceelog
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_datadir}/locale/*/*/*.mo

%files devel
%{_libdir}/*.so
%{_includedir}/ceelog/*.h

%files libs
%{_libdir}/*.so.*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Milan Bartos <mbartos@redhat.com> - 0.2-1
- update to upstream version 0.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct  1 2012 Milan Bartos <mbartos@redhat.com> - 0.1-2
- added check section

* Tue Sep 18 2012 Milan Bartos <mbartos@redhat.com> - 0.1-1
- initial port

